MagickCore: compare.c File Reference

# compare.c File Reference

`#include "magick/studio.h"`
`#include "magick/cache-view.h"`
`#include "magick/client.h"`
`#include "magick/color.h"`
`#include "magick/color-private.h"`
`#include "magick/colorspace.h"`
`#include "magick/colorspace-private.h"`
`#include "magick/compare.h"`
`#include "magick/composite-private.h"`
`#include "magick/constitute.h"`
`#include "magick/exception-private.h"`
`#include "magick/geometry.h"`
`#include "magick/image-private.h"`
`#include "magick/list.h"`
`#include "magick/log.h"`
`#include "magick/memory_.h"`
`#include "magick/option.h"`
`#include "magick/pixel-private.h"`
`#include "magick/resource_.h"`
`#include "magick/string_.h"`
`#include "magick/utility.h"`
`#include "magick/version.h"`

## Functions
MagickExport Image * | CompareImages (Image *image, const Image *reconstruct_image, const MetricType metric, double *distortion, ExceptionInfo *exception)
MagickExport Image * | CompareImageChannels (Image *image, const Image *reconstruct_image, const ChannelType channel, const MetricType metric, double *distortion, ExceptionInfo *exception)
MagickExport MagickBooleanType | GetImageDistortion (Image *image, const Image *reconstruct_image, const MetricType metric, double *distortion, ExceptionInfo *exception)
static MagickRealType | GetAbsoluteError (const Image *image, const Image *reconstruct_image, ExceptionInfo *exception)
static MagickRealType | GetMeanAbsoluteError (const Image *image, const Image *reconstruct_image, const ChannelType channel, ExceptionInfo *exception)
static MagickRealType | GetMeanErrorPerPixel (Image *image, const Image *reconstruct_image, const ChannelType channel, ExceptionInfo *exception)
static MagickRealType | GetMeanSquaredError (const Image *image, const Image *reconstruct_image, const ChannelType channel, ExceptionInfo *exception)
static MagickRealType | GetPeakAbsoluteError (const Image *image, const Image *reconstruct_image, const ChannelType channel, ExceptionInfo *exception)
static MagickRealType | GetPeakSignalToNoiseRatio (const Image *image, const Image *reconstruct_image, const ChannelType channel, ExceptionInfo *exception)
static MagickRealType | GetRootMeanSquaredError (const Image *image, const Image *reconstruct_image, const ChannelType channel, ExceptionInfo *exception)
MagickExport MagickBooleanType | GetImageChannelDistortion (Image *image, const Image *reconstruct_image, const ChannelType channel, const MetricType metric, double *distortion, ExceptionInfo *exception)
MagickExport MagickBooleanType | IsImagesEqual (Image *image, const Image *reconstruct_image)

## Function Documentation

MagickExport Image* CompareImageChannels | ( | Image * | image,
|  | const Image * | reconstruct_image,
|  | const ChannelType | channel,
|  | const MetricType | metric,
|  | double * | distortion,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport Image* CompareImages | ( | Image * | image,
|  | const Image * | reconstruct_image,
|  | const MetricType | metric,
|  | double * | distortion,
|  | ExceptionInfo * | exception |
| ) |  |  |

static MagickRealType GetAbsoluteError | ( | const Image * | image,
|  | const Image * | reconstruct_image,
|  | ExceptionInfo * | exception |
| ) |  |  | `[static]`

MagickExport MagickBooleanType GetImageChannelDistortion | ( | Image * | image,
|  | const Image * | reconstruct_image,
|  | const ChannelType | channel,
|  | const MetricType | metric,
|  | double * | distortion,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport MagickBooleanType GetImageDistortion | ( | Image * | image,
|  | const Image * | reconstruct_image,
|  | const MetricType | metric,
|  | double * | distortion,
|  | ExceptionInfo * | exception |
| ) |  |  |

static MagickRealType GetMeanAbsoluteError | ( | const Image * | image,
|  | const Image * | reconstruct_image,
|  | const ChannelType | channel,
|  | ExceptionInfo * | exception |
| ) |  |  | `[static]`

static MagickRealType GetMeanErrorPerPixel | ( | Image * | image,
|  | const Image * | reconstruct_image,
|  | const ChannelType | channel,
|  | ExceptionInfo * | exception |
| ) |  |  | `[static]`

static MagickRealType GetMeanSquaredError | ( | const Image * | image,
|  | const Image * | reconstruct_image,
|  | const ChannelType | channel,
|  | ExceptionInfo * | exception |
| ) |  |  | `[static]`

static MagickRealType GetPeakAbsoluteError | ( | const Image * | image,
|  | const Image * | reconstruct_image,
|  | const ChannelType | channel,
|  | ExceptionInfo * | exception |
| ) |  |  | `[static]`

static MagickRealType GetPeakSignalToNoiseRatio | ( | const Image * | image,
|  | const Image * | reconstruct_image,
|  | const ChannelType | channel,
|  | ExceptionInfo * | exception |
| ) |  |  | `[static]`

static MagickRealType GetRootMeanSquaredError | ( | const Image * | image,
|  | const Image * | reconstruct_image,
|  | const ChannelType | channel,
|  | ExceptionInfo * | exception |
| ) |  |  | `[static]`

MagickExport MagickBooleanType IsImagesEqual | ( | Image * | image,
|  | const Image * | reconstruct_image |
| ) |  |  |